# frozen_string_literal: true
# Copyright (C) 2019 Twitter, Inc.

require 'spec_helper'

describe TwitterAds::CustomAudience do

  before(:each) do
    stub_fixture(:get, :accounts_all, "#{ADS_API}/accounts")
    stub_fixture(:get, :accounts_load, "#{ADS_API}/accounts/2iqph")
  end

  let(:client) do
    Client.new(
      Faker::Lorem.characters(15),
      Faker::Lorem.characters(40),
      "123456-#{Faker::Lorem.characters(40)}",
      Faker::Lorem.characters(40)
    )
  end

  let(:account) { client.accounts.first }

  # check model properties
  subject { described_class.new(account) }

  read = %w(
    id
    created_at
    updated_at
    deleted
    audience_size
    audience_type
    partner_source
    reasons_not_targetable
    targetable
    targetable_types
    permission_level
    owner_account_id
  )

  write = %w(name list_type)

  include_examples 'object property check', read, write

end
